package com.njcn.rdms.framework.encrypt.core.annotation;

import java.lang.annotation.*;

/**
 * HTTP API 加解密注解
 */
@Documented
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface ApiEncrypt {

    /**
     * 是否对请求参数进行解密，默认 true
     */
    boolean request() default true;

    /**
     * 需要解密的请求字段
     *
     * 仅在 request = true 时生效
     */
    String[] requestFields() default {};

    /**
     * 是否对响应结果进行加密，默认 true
     */
    boolean response() default true;

}
